Summary:       A decoder implementation of the JBIG2 image compression format 
Name:          jbig2dec
Version:       0.20
Release:       1%{?dist}
License:       AGPL-3.0-or-later
URL:           https://jbig2dec.com
Source0:       https://github.com/ArtifexSoftware/jbig2dec/releases/download/%{version}/%{name}-%{version}.tar.gz
# https://github.com/Frank-Z7/z-vulnerabilitys/issues/3
# From https://git.ghostscript.com/?p=ghostpdl.git;a=patch;h=44ca5b9d023e1de33fcb8984c85bb29619c4db7e
Patch0001:     fix-CVE-2023-46361.patch

BuildRequires: libtool libpng-devel make
Requires:      %{name}-libs = %{version}-%{release}

%description
jbig2dec is a decoder implementation of the JBIG2 image compression format. JBIG2 is designed for lossy or
lossless encoding of 'bilevel' (1-bit monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression ratios on the order of 100:1.

%package libs 
Summary:    A decoder implementation of the JBIG2 image compression format

%description libs 
jbig2dec is a decoder implementation of the JBIG2 image compression format. JBIG2 is designed for lossy or
lossless encoding of 'bilevel' (1-bit monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression ratios on the order of 100:1.

This package provides the shared jbig2dec library.

%package devel
Summary:    Static library and header files for development with jbig2dec
Requires:    %{name}-libs = %{version}-%{release}

%description devel
jbig2dec is a decoder implementation of the JBIG2 image compression format. JBIG2 is designed for lossy or
lossless encoding of 'bilevel' (1-bit monochrome) images at moderately high resolution, and in particular scanned
paper documents. In this domain it is very efficient, offering compression ratios on the order of 100:1.

This package is only needed if you plan to develop or compile applications which requires the jbig2dec library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fi
%configure --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc CHANGES LICENSE README
%{_bindir}/jbig2dec
%{_mandir}/man?/jbig2dec.1*

%files devel
%license COPYING
%doc CHANGES LICENSE README
%{_includedir}/jbig2.h
%{_libdir}/libjbig2dec.so
%{_libdir}/pkgconfig/%{name}.pc

%files libs
%license COPYING
%doc CHANGES LICENSE README
%{_libdir}/libjbig2dec.so.0
%{_libdir}/libjbig2dec.so.0.0.0

%changelog
* Thu Dec 21 2023 Upgrade Robot <upbot@opencloudos.org> - 0.20-1
- Upgrade to version 0.20

* Wed Nov 08 2023 rockerzhu <rockerzhu@tencent.com> - 0.19-5
- Fix CVE-2023-46361.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.19-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 30 2022 Shuo Wang <abushwang@tencent.com> - 0.19-1
- initial build
